#!/bin/bash
urho3d=Urho3D-1.8-ALPHA.145-Linux-64bit-SHARED-snapshot
mkdir Urho3D > /dev/null 2>&1
cd Urho3D
wget https://sourceforge.net/projects/urho3d/files/Urho3D/Snapshots/$urho3d.tar.gz/download -O Urho3D.tar.gz
tar -xvzf Urho3D.tar.gz > Urho3D.log
cd $urho3d
resource=share/Urho3D/Resources
oresource=../../$resource
mkdir -p ../../$resource/Data/{Materials,Scripts,Textures} > /dev/null 2>&1
cp -r $resource/{Autoload,CoreData} $oresource > /dev/null 2>&1
cp -r $resource/Data/{Fonts,Models,PostProcess,UI,EditorStrings.json} $oresource/Data > /dev/null 2>&1
cp -r $resource/Data/Materials/{Editor,Particle.xml,VColUnlit.xml} $oresource/Data/Materials > /dev/null 2>&1
cp -r $resource/Data/Scripts/{Editor.as,Editor,Utilities} $oresource/Data/Scripts > /dev/null 2>&1 
cp -r $resource/Data/Textures/{Editor,Flare.dds,UI.png,UrhoIcon.png} $oresource/Data/Textures > /dev/null 2>&1
mkdir ../../bin > /dev/null 2>&1
cp -r bin/{Editor.sh,Urho3DPlayer} ../../bin > /dev/null 2>&1
mkdir ../../lib > /dev/null 2>&1
cp -r lib/Urho3D ../../lib > /dev/null 2>&1
cd ../../
mv Tools/Start.sh ./ > /dev/null 2>&1 
mv Tools/Editor.sh ./ > /dev/null 2>&1
mv Tools/Update.sh ./ > /dev/null 2>&1
rm Download.sh
